Subject: 29.1.50; Regenerate finder keyword hash for installed packages

From: Daniel Mendler <[email-masked]>
Date: Wed, 04 Oct 2023 22:50:16 +0200

(Separate bug report as requested by Stefan Kangas in bug#66335)

For external packages installed from the package archives via
`package-install' the `finder-keywords-hash' is not regenerated. For
this reason separately installed packages do not appear in the
`*Finder*' buffer created by `M-x finder-by-keyword'.

Regenerating the finder hash table is possible by calling
`finder-compile-keywords'. The resulting hash table can be dumped to a
file in the Emacs directory and loaded by the init.el or finder.el.

Regenerating the hash table is likely too expensive to perform after
each package installation. Regeneration could either be done lazily when
the finder is invoked after a package list change, or even triggered
manually.